angular.module('myApp.controllers')
    //首页控制器
    .controller('HomeCtrl', function ($scope, $ionicSlideBoxDelegate,$state,Advers, News) {
        // 首页顶部轮播广告
        Advers.get_adver('wap_index_top', 3).$promise.then(function (response) {
            $scope.adver_list = response.data;
            $ionicSlideBoxDelegate.update();
        });

        //默认资讯列表
        News.get_news_list(1, 5).$promise.then(function (response) {
            $scope.news_list = response.data;
        });

        //选项卡默认样式
        $scope.zixun = 'active';
        $scope.shipin = '';

        //资讯视频列表切换
        $scope.toggle = function (type) {
            if(type == 2){
                $scope.zixun = '';
                $scope.shipin = 'active';
            }else{
                $scope.zixun = 'active';
                $scope.shipin = '';
            }
            News.get_news_list(type, 5).$promise.then(function (response) {
                $scope.news_list = response.data;
            });

        };
        
        //跳转到资讯详情页
        $scope.goto_detail = function (newsId,type) {
            $state.go('tab.news.detail',{newsId:newsId,type:type});
        }
    })
    .controller('AboutCtrl', function ($scope,$cordovaInAppBrowser,ENV) {
        $scope.daohang=function(){
            var url =ENV.site_url+'/wap.php?g=Wap&c=Group&a=addressinfo&store_id=0';

            var options = {
                location: 'no',
                clearcache: 'yes',
                hardwareback: 'yes',
                toolbar: 'yes'
            };

            $cordovaInAppBrowser.open(url, '_blank', options)
            .then(function(event) {

            })
            .catch(function(event) {

            });
        }
    });
