angular.module('myApp.controllers')
    .controller('NewsCtrl', function ($scope,$state,News) {
        //选项卡样式
        $scope.zixun = 'active';
        $scope.shipin = '';
        //资讯列表
        News.get_news_list(1).$promise.then(function (response) {
            $scope.news_list = response.data;
        });
        //资讯视频列表切换
        $scope.toggle = function (type) {
            if(type == 2){
                $scope.zixun = '';
                $scope.shipin = 'active';
            }else{
                $scope.zixun = 'active';
                $scope.shipin = '';
            }
            News.get_news_list(type).$promise.then(function (response) {
                $scope.news_list = response.data;
            });
        }
        //跳转到资讯详情页
        $scope.goto_detail = function (newsId,type) {
            $state.go('tab.news.detail',{newsId:newsId,type:type});
        }
    })
    .controller('NewsDetailCtrl', function ($scope, $stateParams, News) {
        $scope.title = $stateParams['type'] == 1 ? '资讯详情' : '视频详情';
        News.get_news_detail($stateParams['newsId']).$promise.then(function (response) {
            $scope.news = response.data;
        });
    });
